> For a complete page index, fetch https://developer.close.com/llms.txt

# Get a single Note activity

GET https://api.close.com/api/v1/activity/note/{id}/

Reference: https://developer.close.com/api/resources/activities/notes/get

## Authentication

- `Authorization` header (basic auth, required) — Use your API key as the username and leave the password empty.
- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `id` (string, required)

### Query parameters

- `_fields` (string, optional) — Comma-separated list of fields to include in the response.

## Response

### 200

Successful response

- `_type` (string, required)
- `activity_at` (datetime, required, nullable)
- `attachments` (list of object, required)
  - `content_type` (string, required, nullable)
  - `filename` (string, required, nullable)
  - `size` (integer, required, nullable)
  - `url` (string, required)
  - `thumbnail_url` (string, optional, nullable)
- `contact_id` (string, required, nullable)
- `created_by` (string, required, nullable)
- `date_created` (datetime, required)
- `date_updated` (datetime, required)
- `id` (string, required)
- `lead_id` (string, required, nullable)
- `note` (string, required)
- `note_html` (string, required)
- `note_mentions` (list of string, required)
- `organization_id` (string, required)
- `pinned` (boolean, required)
- `pinned_at` (datetime, required, nullable)
- `source` (enum, required, nullable)
  - Allowed values: `ui`, `api`, `import`, `clipper`, `email`, `suggestion`, `segment-integration`, `customerio-integration`, `calendly-integration`, `ai`, `whatsapp`, `webform`
- `title` (string, required, nullable)
- `updated_by` (string, required, nullable)
- `user_id` (string, required, nullable)
- `users` (list of string, required)
- `agent_action_reason` (string, optional, nullable)
- `agent_config_id` (string, optional, nullable)
- `comment_summary` (object, optional, nullable)
  - `comment_count` (integer, required)
  - `thread_id` (string, required)
- `created_by_name` (string, optional, nullable)
- `updated_by_name` (string, optional, nullable)
- `user_name` (string, optional, nullable)

## Errors

### 400 Bad Request Error

Bad request

- `any`

### 401 Unauthorized Error

Unauthorized

- `any`

### 404 Not Found Error

Not found

- `any`

## Examples

**Response**

```json
{
  "_type": "Note",
  "activity_at": "2013-02-01T01:05:04.070000+00:00",
  "attachments": [
    {
      "content_type": "image/gif",
      "filename": "picture.gif",
      "size": 20673,
      "url": "https://app.close.com/go/file/persisted/orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH/activity.note/acti_XOyG7jURMfsLgKuYGqbQ4Qp7L5a16pQOcDfTgotqDak/3HV4BNwDyBLdfrPbFZF78s/picture.gif/",
      "thumbnail_url": "https://app.close.com/go/file/persisted/orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH/activity.note/acti_XOyG7jURMfsLgKuYGqbQ4Qp7L5a16pQOcDfTgotqDak/3HV4BNwDyBLdfrPbFZF78s/picture.gif/thumbnail/"
    }
  ],
  "contact_id": null,
  "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
  "date_created": "2013-02-01T01:05:04.070000+00:00",
  "date_updated": "2013-02-01T01:06:35.668000+00:00",
  "id": "acti_XOyG7jURMfsLgKuYGqbQ4Qp7L5a16pQOcDfTgotqDak",
  "lead_id": "lead_KwD00BYbXCHiPWj68LxFkxaeWuULpZ7awzm6LqeFs0h",
  "note": "Welcome to Close!\n\nGet started by:\n\n  1. Import your leads! Use our \"Bulk CSV Upload\" tool by clicking your name in the top right. Add leads manually by clicking \"New Lead\" in the lower left.\n  2. Invite your co-workers!\n  3. Setup two-way syncing of your emails by going to Settings -> Email Settings.",
  "note_html": "<body><p>Welcome to Close!</p><p>Get started by:</p><ol><li>Import your leads! Use our \"Bulk CSV Upload\" tool by clicking your name in the top right. Add leads manually by clicking \"New Lead\" in the lower left.</li><li>Invite your co-workers!</li><li>Setup two-way syncing of your emails by going to Settings -> Email Settings.</li></ol></body>",
  "note_mentions": [],
  "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
  "pinned": true,
  "pinned_at": "2025-08-19T14:14:34.383000+00:00",
  "source": null,
  "title": "Welcome to Close!",
  "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
  "user_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
  "users": [],
  "created_by_name": "Bruce Wayne",
  "updated_by_name": "Bruce Wayne",
  "user_name": "Bruce Wayne"
}
```

**SDK Code**

```python activities.notes_get_example
import requests

url = "https://api.close.com/api/v1/activity/note/id/"

response = requests.get(url, auth=("<CLOSE_API_KEY>", ""))

print(response.json())
```

```javascript activities.notes_get_example
const url = 'https://api.close.com/api/v1/activity/note/id/';
const credentials = btoa("<CLOSE_API_KEY>:");

const options = {method: 'GET', headers: {Authorization: `Basic ${credentials}`}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go activities.notes_get_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.close.com/api/v1/activity/note/id/"

	req, _ := http.NewRequest("GET", url, nil)

	req.SetBasicAuth("<CLOSE_API_KEY>", "")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby activities.notes_get_example
require 'uri'
require 'net/http'

url = URI("https://api.close.com/api/v1/activity/note/id/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request.basic_auth("<CLOSE_API_KEY>", "")

response = http.request(request)
puts response.read_body
```

```java activities.notes_get_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.close.com/api/v1/activity/note/id/")
  .basicAuth("<CLOSE_API_KEY>", "")
  .asString();
```

```php activities.notes_get_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.close.com/api/v1/activity/note/id/', [
  'headers' => [
  ],
    'auth' => ['<CLOSE_API_KEY>', ''],
]);

echo $response->getBody();
```

```csharp activities.notes_get_example
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://api.close.com/api/v1/activity/note/id/");
client.Authenticator = new HttpBasicAuthenticator("<CLOSE_API_KEY>", "");
var request = new RestRequest(Method.GET);

IRestResponse response = client.Execute(request);
```